<!DOCTYPE html>
<html>
    <head>
        <!-- Matomo -->
<script>
  var _paq = window._paq = window._paq || [];
  /* tracker methods like "setCustomDimension" should be called before "trackPageView" */
  _paq.push(['trackPageView']);
  _paq.push(['enableLinkTracking']);
  (function() {
    var u="//matomo.acei.us/";
    _paq.push(['setTrackerUrl', u+'matomo.php']);
    _paq.push(['setSiteId', '1']);
    var d=document, g=d.createElement('script'), s=d.getElementsByTagName('script')[0];
    g.async=true; g.src=u+'matomo.js'; s.parentNode.insertBefore(g,s);
  })();
</script>
<!-- End Matomo Code -->

        <link rel="icon" href="/favicon.png" sizes="16x16 32x32 64x64 128x128 500X500" type="image/png" />
        <link href="/assets/css/index.css" rel="stylesheet" type="text/css" />
        <script src="https://stuffby.acei.us/fontawesome6/js/all.min.js"></script>
        <link href="/assets/css/w3.css" rel="stylesheet" type="text/css" />
        <script src="/assets/js/vue.js"></script>
        <script src="/assets/js/welcome.widget.js"></script>
        <title>Style Guide - Acei.us</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta name="title" content="Acei.us">
        <meta name="description" content="Stuff by Aceius">
        <meta name="keywords" content="aceius">
        <meta name="robots" content="index, follow">
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
        <meta name="language" content="English">
        <meta name="author" content="AceiusIO">
        <meta charset="utf-8">
    </head>
    <body>

                
        <noscript><section class="container red"><p>I'm sorry but this website needs JavaScript to function (due to our use of Vue.js). Please enable <a target="_blank" href="https://www.enable-javascript.com">JavaScript</a></p></section></noscript>
        
        <div id="app">
            <!--Header-->
            <section class="container purple" id="donate" style="display:none;"><p>I see that you're using Brave. If you have Brave rewards, please consider <a href="/donate.html">Donating</a> to keep Cloud.IO, the Destnia Wiki, and my other projects going. Thank you :)</p></section>
            <headerio title="Style Guide"></headerio>
            <section class="container">
                    <p>While this website does not need a style guide, I'm giving it one anyway. For fun.</p>
                    <p>Version 5 was a departure from all previous versions with it's dark theme. However it was somewhat messy, and was not always consistent between pages. Version 6 is another redesign, this time prefering lighter fonts, and an overall open-air feel.</p>
                    <p>Acei.us uses quadrant, a modification of w3css to bring it more in line with this guide.</p>
                    
                    <h3>Versioning</h3>
                    <p>The PHP versioning scheme should be used. Each major version should also have a codename, here are some examples:</p>
                    <table class="table border">
                        <tr>
                          <th>Version</th>
                          <th>Codename</th>
                          <th>Changes/Notes</th>
                        </tr>
                        <tr>
                          <td>1</td>
                          <td>Initial Release</td>
                          <td></td>
                        </tr>
                        <tr>
                            <td>2</td>
                            <td></td>
                            <td>Switch to using staic page generator</td>
                        </tr>
                        <tr>
                            <td>3</td>
                            <td>Overlord</td>
                            <td>Add custom component system</td>
                        </tr>
                        <tr>
                            <td>4.0</td>
                            <td>London</td>
                            <td>Rebuild with Vue</td>
                        </tr>
                        <tr>
                            <td>5.0.0</td>
                            <td>Berlin</td>
                            <td></td>
                        </tr>
                        <tr>
                            <td>6.0.0</td>
                            <td>Seoul</td>
                            <td>Current Major Version</td>
                        </tr>
                        <tr>
                            <td>7.0.0</td>
                            <td>Tokyo</td>
                            <td>Planned Complete Rebuild With Bulma & JS Build Step</td>
                        </tr>
                    </table>

                    <h3>Alerts</h3>
                    <p>Alerts should appear as such:</p>
            </section>
            <section class="container red"><p>This is an example alert.</p></section>
            <section class="container">
                    <p>Alerts may have varying background color. They should not include a heading, if a title is needed, the format of <code>Title - Content</code> can be used.</p>
                <h3>Text</h3>
                    <p>Headers are set in the font Ubuntu Light. Body text is set in Roboto. If text needs to be stressed, instead of using bold (clashes with light font weight) or ALL CAPS (ruins the chill vibe), text should be <span class="text-gradiant">coloured</span>.</p>
                <h3>Colours</h3>
                <table class="table border text-white">
                    <tr style="background-color: #373737;">
                      <th>Name</th>
                      <th>Use</th>
                      <th>HEX</th>
                    </tr>
                    <tr style="background-color: #1D1E35;">
                      <td>Midnight</td>
                      <td>Background</td>
                      <td>#1D1E35</td>
                    </tr>
                    <tr style="background-color: #373737;">
                        <td>Pavement</td>
                        <td>Footer/Alternate Background</td>
                        <td>#373737</td>
                    </tr>
                    <tr style="background-color: #0000ff;">
                        <td>Blue</td>
                        <td>Gradient</td>
                        <td>#0000ff</td>
                    </tr>
                    <tr style="background-color: #8a2be2;">
                        <td>Blue Violet</td>
                        <td>Highlight</td>
                        <td>#8a2be2</td>
                    </tr>
                    <tr style="background-color: #800080;">
                        <td>Purple</td>
                        <td>Gradient</td>
                        <td>#800080</td>
                    </tr>
                </table>
            </section>
            <footerio></footerio>
            <settings></settings>
        </div>

        <script type="module" src="/assets/js/index.mjs"></script>
        <script>
            if (typeof navigator.brave != 'undefined') {
                document.getElementById("donate").style.display = "block";
                console.log("[Debug] Showing donation banner");
            }
        </script>
    </body>
</html>
